models/Objetivos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "objetivos".
 *
 * @property int $codobj
 * @property string|null $denominacion
 * @property string|null $fechalimite
 * @property string|null $descripcion
 * @property int|null $completado
 */
class Objetivos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'objetivos';
    }

    /**
     * {@inheritdoc}
     */
 public function rules()
{
    return [
        [['denominacion', 'fechalimite', 'descripcion'], 'required', 'message' => 'Por favor, complete este campo'],
        [['fechalimite'], 'date', 'format' => 'php:Y-m-d', 'message' => 'Por favor, ingrese una fecha'],
        [['denominacion'], 'string', 'max' => 100, 'message' => 'Por favor, ingrese la denominación'],//mensaje personalizado
        [['descripcion'], 'string', 'max' => 500, 'message' => 'Por favor, ingrese la descripción'],
        [['completado'],'boolean'], // Cambiado a boolean para completar o no 
    ];
}


    /**
     * {@inheritdoc}
     */
    
    
    /*voy a labels a cambiar los nombres que quiero que aparezcan en mi vista*/
    public function attributeLabels()
    {
        return [
            'codobj' => 'Codobj',
            'denominacion' => '¿Cuál será tu propósito?',
            'fechalimite' => '¿Cuál es tu fecha límite?',
            'descripcion' => 'Descripción',
            'completado' => 'Completado',
        ];
    }
    
   
}

controllers/ObjetivosController.php
<?php

namespace app\controllers;

use Yii;
use app\models\Objetivos;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * ObjetivosController implements the CRUD actions for Objetivos model.
 */
class ObjetivosController extends Controller
{
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Objetivos::find(),
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    public function actionView($codobj)
    {
        $model = $this->findModel($codobj);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['index']);
        }

        if (Yii::$app->request->isPost) {
            if ($model->delete()) {
                return $this->redirect(['index']);
            } else {
                // Manejar errores de eliminación aquí
            }
        }

        return $this->render('view', [
            'model' => $model,
        ]);
    }

    public function actionCreate()
    {
        $model = new Objetivos();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'codobj' => $model->codobj]);
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    public function actionUpdate($codobj)
    {
        $model = $this->findModel($codobj);

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'codobj' => $model->codobj]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    public function actionDelete($codobj)
    {
        $model = $this->findModel($codobj);
        $model->delete();

        $lastCodobj = Objetivos::find()->max('codobj');
        Yii::$app->db->createCommand()->resetSequence('objetivos', $lastCodobj + 1)->execute();

        return $this->redirect(['continuar']);
    }

    protected function findModel($codobj)
    {
        if (($model = Objetivos::findOne(['codobj' => $codobj])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }

    public function actionCreateCustom()
    {
        $model = new Objetivos();

        if ($model->load(Yii::$app->request->post()) && $model->save()) {
            return $this->redirect(['view', 'codobj' => $model->codobj]);
        } else {
            return $this->render('create_custom', [
                'model' => $model,
            ]);
        }
    }

    public function actionContinuar()
    {
        $numeroObjetivosCompletados = Objetivos::find()->where(['completado' => true])->count();
        $proximoObjetivos = Objetivos::find()
            ->where(['>', 'fechalimite', date('Y-m-d')])
            ->andWhere(['completado' => false])
            ->orderBy('fechalimite')
            ->limit(3)
            ->all();

        $model = new Objetivos();

        return $this->render('_afterForm', [
            'proximoObjetivos' => $proximoObjetivos,
            'model' => $model,
            'numeroObjetivosCompletados' => $numeroObjetivosCompletados,
        ]);
    }

    public function actionBuscar($completado)
    {
        $searchResults = Objetivos::find()->where(['completado' => $completado])->all();
        $proximoObjetivos = Objetivos::find()
            ->where(['>', 'fechalimite', date('Y-m-d')])
            ->andWhere(['completado' => false])
            ->orderBy('fechalimite')
            ->limit(3)
            ->all();

        $numeroObjetivosCompletados = Objetivos::find()->where(['completado' => true])->count();
        $model = new Objetivos();

        return $this->render('_afterForm', [
            'searchResults' => $searchResults,
            'proximoObjetivos' => $proximoObjetivos,
            'model' => $model,
            'numeroObjetivosCompletados' => $numeroObjetivosCompletados,
        ]);
    }

    public function actionMarcar($codobj)
{
    $model = $this->findModel($codobj);
    $model->completado = true;

    if ($model->save()) {
        Yii::$app->session->setFlash('success', 'El objetivo se marcó como completado correctamente.');

        $numeroObjetivosCompletados = Objetivos::find()->where(['completado' => true])->count();

        // Desbloquear recompensas
        $this->desbloquearRecompensas($numeroObjetivosCompletados);
    } else {
        Yii::$app->session->setFlash('error', 'Hubo un error al marcar el objetivo como completado.');
    }

    return $this->redirect(['continuar']);
}

private function desbloquearRecompensas($numeroObjetivosCompletados)
{
    $recompensasDesbloqueadas = [
        1 => false,
        2 => false,
        3 => false,
        4 => false,
        5 => false
    ];

    if ($numeroObjetivosCompletados >= 1) {
        $recompensasDesbloqueadas[1] = true;
    }
    if ($numeroObjetivosCompletados >= 5) {
        $recompensasDesbloqueadas[2] = true;
    }
    if ($numeroObjetivosCompletados >= 10) {
        $recompensasDesbloqueadas[3] = true;
    }
    if ($numeroObjetivosCompletados >= 12) {
        $recompensasDesbloqueadas[4] = true;
    }
    if ($numeroObjetivosCompletados >= 15) {
        $recompensasDesbloqueadas[5] = true;
    }

    // Guardar el estado de las recompensas en la sesión
    foreach ($recompensasDesbloqueadas as $recompensa => $desbloqueada) {
        Yii::$app->session->set('recompensa' . $recompensa, $desbloqueada);
    }
}


    public function actionDesmarcar($codobj)
    {
        $model = $this->findModel($codobj);
        $model->completado = false;

        if ($model->save()) {
            Yii::$app->session->setFlash('success', 'El objetivo se desmarcó como completado correctamente.');
        } else {
            Yii::$app->session->setFlash('error', 'Hubo un error al desmarcar el objetivo como completado.');
        }

        return $this->redirect(['continuar']);
    }

   
}

views/objetivos/_afterForm.php
<?php

use yii\helpers\Html;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $model app\models\Objetivos */

$this->registerCssFile(Url::to('@web/css/formulario.css'));
$this->title = $model->denominacion;
$this->params['breadcrumbs'][] = ['label' => 'Objetivos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>


<div class="titulo-search">
    <h1 class="texto-search">Explorador de Objetivos y Tareas</h1>
</div>




<?php
// Array con los textos correspondientes a cada imagen
$textos = [
    '1 objetivo',
    '5 objetivos',
    '10 objetivos',
    '12 objetivos',
    '15 objetivos'
];

// Desbloquear recompensas en base al número de objetivos completados
$recompensasDesbloqueadas = [
    1 => false,
    2 => false,
    3 => false,
    4 => false,
    5 => false
];

if ($numeroObjetivosCompletados >= 1) {
    $recompensasDesbloqueadas[1] = true;
}
if ($numeroObjetivosCompletados >= 5) {
    $recompensasDesbloqueadas[2] = true;
}
if ($numeroObjetivosCompletados >= 10) {
    $recompensasDesbloqueadas[3] = true;
}
if ($numeroObjetivosCompletados >= 12) {
    $recompensasDesbloqueadas[4] = true;
}
if ($numeroObjetivosCompletados >= 15) {
    $recompensasDesbloqueadas[5] = true;
}
?>

<div class="recompensas">
    <?php for ($i = 1; $i <= 5; $i++): ?>
        <?php
        // Determinar si la recompensa está desbloqueada
        $claseDesbloqueo = ($recompensasDesbloqueadas[$i]) ? 'desbloqueada' : 'bloqueada';
        ?>
        <div class="recompensa <?= $claseDesbloqueo; ?>">
            <?= Html::img('@web/images/recompensa/' . $i . 'obj.png', ['alt' => 'Recompensa ' . $i]); ?>
            <!-- Texto a mostrar al hacer hover -->
            <div class="texto-hover"><?= isset($textos[$i - 1]) ? $textos[$i - 1] : '' ?></div>
        </div>
    <?php endfor; ?>
</div>





<!-- Vista de Objetivos Próximos y Buscador -->
<div class="container-tablas">

    <div class="row">

        <!-- Columna del Buscador de Objetivos -->
        <div class="col-md-6 buscador-objetivos">
            <!-- Formulario de búsqueda -->
            <form id="searchForm" action="<?= Url::to(['objetivos/buscar']) ?>" method="get">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <label class="input-group-text label-seleccion" for="completadoSelect">Objetivos</label>
                    </div>
                    <select class="custom-select seleccion-completado" id="completadoSelect" name="completado">
                        <option value="0" <?= Yii::$app->request->get('completado') === '0' ? 'selected' : '' ?>>No completados</option>
                        <option value="1" <?= Yii::$app->request->get('completado') === '1' ? 'selected' : '' ?>>Completados</option>
                    </select>
                    <div class="input-group-append">
                        <button class="btn btn-outline-secondary boton-buscar" type="submit">Buscar</button>
                    </div>
                </div>
            </form>

            <!-- Lista de objetivos encontrados -->
            <div class="scrollable-list" id="objetivos-encontrados">
                <?php if (isset($searchResults) && !empty($searchResults)): ?>
                    <ul class="list-group listado-encontrados">
                        <?php foreach ($searchResults as $objetivo): ?>
                            <li class="item-encontrado">
                                <div class="objetivo-info">
                                    <h4 class="titulo-objetivo"><?= Html::encode($objetivo->denominacion) ?></h4>
                                    <p class="detalle-objetivo"><strong>Fecha Límite:</strong> <?= Yii::$app->formatter->format($objetivo->fechalimite, 'date') ?></p>
                                </div>
                                <div class="botones-objetivo">
                                    <?php if ($objetivo->completado): ?>
                                        <?= Html::a('Desmarcar', ['objetivos/desmarcar', 'codobj' => $objetivo->codobj], ['class' => 'btn btn-success']) ?>
                                    <?php else: ?>
                                        <?= Html::a('Marcar', ['objetivos/marcar', 'codobj' => $objetivo->codobj], ['class' => 'btn btn-success']) ?>
                                    <?php endif; ?>
                                </div>
                            </li>
                        <?php endforeach; ?>


                    </ul>
                <?php else: ?>
                    <p class="no-objetivos">No se encontraron resultados.</p>
                <?php endif; ?>
            </div>



        </div>
        <!-- Columna de Objetivos Próximos -->
        <div class="col-md-6 objetivos-proximos">
            <h3 class="titulo-proximos">Próximos Objetivos</h3>
            <ul class="list-group listado-proximos">
                <?php foreach ($proximoObjetivos as $objetivo): ?>
                    <li class="list-group-item item-proximo">
                        <h4 class="titulo-item"><?= Html::encode($objetivo->denominacion) ?></h4>
                        <p class="detalle-item"><strong>Fecha Límite:</strong> <?= Yii::$app->formatter->format($objetivo->fechalimite, 'date') ?></p>
                    </li>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
</div>

views/objetivos/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Objetivos $model */
/** @var yii\widgets\ActiveForm $form */
?>

<div class="objetivos-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'denominacion')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'fechalimite')->textInput() ?>

    <?= $form->field($model, 'descripcion')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/objetivos/create.php
<?php

use yii\helpers\Html;

/** @var yii\web\View $this */
/** @var app\models\Objetivos $model */

$this->title = 'Establecer nuevos Objetivos';
$this->params['breadcrumbs'][] = ['label' => 'Objetivos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="objetivos-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/objetivos/create_custom.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\helpers\Url;

/* @var $this yii\web\View */
/* @var $model app\models\Objetivos */
/* @var $form yii\widgets\ActiveForm */

$this->registerCssFile(Url::to('@web/css/formulario.css'));
$this->registerJsFile('@web/js/confirmation.js', ['depends' => [\yii\web\JqueryAsset::class]]);
?>
$this->title = 'Crear Nuevo Objetivo';
$this->params['breadcrumbs'][] = ['label' => 'Objetivos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>


<div id="popup-confirmacion" class="popup">
    <div class="popup-tarjeta">
        <div class="popup-contenido">
            <p>¿Desea continuar?</p>
            <div class="opciones">
                <button id="confirmar-guardar" class="btn-continuar">Continuar</button>
                <button id="cancelar-guardar" class="btn-cancelar">Cancelar</button>
            </div>
        </div>
    </div>
</div>

<div class="objetivos-create">
    <div class="row">
        <div class="col-md-6">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">¡Haz que suceda!</h3>
                </div>
                <div class="panel-body">
                    <?php $form = ActiveForm::begin(); ?>

                    <?= $form->field($model, 'denominacion')->textInput(['maxlength' => true, 'class' => 'form-control', 'placeholder' => 'Ingrese el título de la entrada aquí(máximo 100 caracteres)']) ?>

                    <?=
                    $form->field($model, 'fechalimite')->textInput([
                        'type' => 'date',
                        'class' => 'form-control',
                        'placeholder' => 'Seleccione la fecha límite',
                        'min' => date('Y-m-d'), // Establece la fecha mínima como la fecha actual
                        'max' => '2100-12-31' // Establece la fecha máxima como el 31 de diciembre de 2100
                    ])
                    ?>


                    <?=
                    $form->field($model, 'descripcion')->textarea([
                        'rows' => 5,
                        'class' => 'form-control',
                        'placeholder' => 'Ingrese la descripción aquí (máximo 500 caracteres)',
                        'maxlength' => 500 //Establece la longitud máxima del campo a 100 caracteres
                    ])->label('Descripción')
                    ?>


                    <div class="form-group">
<?= Html::submitButton('Guardar', ['id' => 'guardar-btn', 'class' => 'btn btn-success']) ?>
                    </div>

<?php ActiveForm::end(); ?>
                </div>
            </div>
        </div>
        <div class="col-md-6">
            <img src="<?= Url::to('@web/images/mujerflores.png') ?>" alt="Chica con flores" class="imagen-formulario">
        </div>
    </div>
</div>

<?php
// Incluye el archivo JavaScript de confirmación
$this->registerJsFile('@web/js/confirmation.js', ['depends' => [\yii\web\JqueryAsset::class]]);
?>

views/objetivos/index.php
<?php

use app\models\Objetivos;
use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\ActionColumn;
use yii\grid\GridView;

/** @var yii\web\View $this */
/** @var yii\data\ActiveDataProvider $dataProvider */

$this->title = 'Objetivos';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="objetivos-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Establecer nuevos Objetivos', ['create'], ['class' => 'btn btn-success']) ?>
    </p>


    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
//            ['class' => 'yii\grid\SerialColumn'],

            'codobj',
            'denominacion',
            'fechalimite',
            'descripcion',
            'completado',
            [
                'class' => ActionColumn::className(),
                'urlCreator' => function ($action, Objetivos $model, $key, $index, $column) {
                    return Url::toRoute([$action, 'codobj' => $model->codobj]);
                 }
            ],
        ],
    ]); ?>


</div>

views/objetivos/update.php
<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\ActiveForm;

/** @var yii\web\View $this */
/** @var app\models\Objetivos $model */

$this->title = 'Editar Objetivo: ' . $model->denominacion;
$this->params['breadcrumbs'][] = ['label' => 'Objetivos', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->codobj, 'url' => ['view', 'codobj' => $model->codobj]];
$this->params['breadcrumbs'][] = 'Update';
$this->registerCssFile(Url::to('@web/css/formulario.css'));
?>
<div class="objetivos-update">

   <div class="row">
        <div class="col-md-12">
            <h1 class="text-justify"><?= Html::encode($this->title) ?></h1>
        </div>
    </div>

    <div class="row">
        <div class="col-md-3">
            <img src="<?= Url::to('@web/images/pajaro.png') ?>" alt="Meditacion" class="imagen-formulario">
        </div>
        <div class="col-md-6">
            <div class="panel panel-default">
                <div class="panel-body">
                    <?php $form = ActiveForm::begin(); ?>

                    <?= $form->field($model, 'denominacion')->textInput(['maxlength' => true, 'class' => 'form-control', 'placeholder' => 'Ingrese el título de la entrada aquí']) ?>

                    <?= $form->field($model, 'fechalimite')->textInput(['type' => 'date', 'class' => 'form-control', 'placeholder' => 'Seleccione la fecha límite', 'min' => date('Y-m-d')])
                        ->hint('Elija la fecha en la que desea completar este objetivo. Esto ayudará a mantenerse enfocado en su progreso.');
                    ?>

                    <?= $form->field($model, 'descripcion')->textarea([
                        'rows' => 5, 
                        'class' => 'form-control', 
                        'placeholder' => 'Ingrese la descripción aquí', 
                        'maxlength' => 100 //Establece la longitud máxima del campo a 100 caracteres
                     ])->label('Descripción') ?>


                    <div class="form-group">
                        <?= Html::submitButton('Guardar', ['id' => 'guardar-btn', 'class' => 'btn btn-success']) ?>
                    </div>

                    <?php ActiveForm::end(); ?>
                </div>
            </div>
        </div>
    </div>

</div>

views/objetivos/view.php
<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\Objetivos */

$this->registerCssFile(Url::to('@web/css/formulario.css'));
$this->title = $model->denominacion;
$this->params['breadcrumbs'][] = ['label' => 'Objetivos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

\yii\web\YiiAsset::register($this);

// Registro de script JS para el popup de confirmación
$js = <<< JS
$(document).ready(function(){
    $('#eliminar-btn').on('click', function(e) {
        e.preventDefault(); // Evita que el enlace funcione normalmente
        $('#popup-confirmacion').fadeIn(); // Mostrar el popup de confirmación
    });

    $('#confirmar-eliminar').on('click', function() {
        $('#popup-confirmacion').fadeOut(); // Ocultar el popup de confirmación
        window.location.href = $('#eliminar-btn').attr('href'); // Redirigir al enlace de eliminación
    });

    $('#cancelar-eliminar').on('click', function() {
        $('#popup-confirmacion').fadeOut(); // Ocultar el popup de confirmación
    });

    // Mostrar u ocultar los campos de edición al hacer clic en el botón Editar
    $('#editar-btn').click(function() {
        $('#editar-campos').slideToggle();
    });
});
JS;
$this->registerJs($js);
?>

<!-- Popup de confirmación -->
<div id="popup-confirmacion" class="popup">
    <div class="popup-tarjeta">
        <div class="popup-contenido">
            <p>¿Estás seguro de que deseas eliminar este objetivo?</p>
            <div class="opciones">
                <button id="confirmar-eliminar" class="btn-continuar">Sí</button>
                <button id="cancelar-eliminar" class="btn-cancelar">No</button>
            </div>
        </div>
    </div>
</div>


<!-- Vista de Objetivos -->
<div class="objetivos-view">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <div class="titulo-objetivo">
                    <h2 class="texto-titulo">¿Deseas hacer algún cambio?</h2>
                </div>
                <div class="card">
                    <div class="card-body">
                        <h2 class="card-title"><?= Html::encode($model->denominacion) ?></h2>
                        <p class="card-data">Fecha límite: <?= Yii::$app->formatter->asDate($model->fechalimite, 'php:d-m-Y') ?></p>
                        <p class="card-data"><?= Html::encode($model->descripcion) ?></p>
                        <!-- Otros datos del objetivo si los hay -->
                        <!-- Contenido de la tarjeta -->
                        <div class="btn-group mt-3 mb-3" role="group" aria-label="Acciones adicionales">
                            <?= Html::button('Editar', ['id' => 'editar-btn', 'class' => 'btn btn-primary']) ?>
                             <!-- Enlace de eliminación modificado como un formulario oculto -->
                            <form id="form-eliminar" action="<?= Url::to(['delete', 'codobj' => $model->codobj]) ?>" method="post">
                                <?= Html::hiddenInput(Yii::$app->request->csrfParam, Yii::$app->request->csrfToken) ?>
                                <?= Html::submitButton('Eliminar', ['class' => 'btn btn-danger', 'style' => 'display:none;']) ?>
                            </form>
                            <?= Html::button('Eliminar', ['class' => 'btn btn-danger', 'id' => 'eliminar-btn']) ?>
                             
                            <!-- Fin del formulario oculto -->
                            <?= Html::a('Continuar', ['objetivos/continuar'], ['class' => 'btn btn-success']) ?>
                        </div>
                    </div>
                </div>
                <!-- Campos de edición -->
                <div id="editar-campos" style="display: none;">
                   <?php $form = ActiveForm::begin(['action' => ['update', 'codobj' => $model->codobj]]); ?>
                    <?= $form->field($model, 'denominacion')->textInput(['maxlength' => true, 'class' => 'form-control', 'placeholder' => 'Ingrese el título de la entrada aquí', 'maxlength' => 100]) ?>
                    <?= $form->field($model, 'fechalimite')->textInput(['type' => 'date', 'class' => 'form-control', 'placeholder' => 'Seleccione la fecha límite','max' => '2100-12-31']) ?>
                    <?= $form->field($model, 'descripcion')->textarea(['rows' => 5, 'class' => 'form-control', 'placeholder' => 'Ingrese la descripción aquí', 'maxlength' => 500]) ?>

                    <!-- Botón de guardar -->
                    <div class="form-group">
                        <?= Html::submitButton('Guardar', ['class' => 'btn btn-success']) ?>
                    </div>

                    <!-- Fin del formulario oculto -->
                    <?php ActiveForm::end(); ?>
                </div>
            </div>
            <!-- Columna para la imagen -->
            <div class="col-md-6">
                <img src="<?= Url::to('@web/images/1.png') ?>" alt="Imagen de rama" class="imagen-formulario">
            </div>
        </div>
    </div>
</div>



<!-- Script JavaScript -->
<?php
$js = <<< JS
$(document).ready(function(){
    $('#eliminar-btn').on('click', function(e) {
        e.preventDefault(); // Evita que el enlace funcione normalmente
        $('#popup-confirmacion').fadeIn(); // Mostrar el popup de confirmación
    });

    $('#confirmar-eliminar').on('click', function() {
        $('#popup-confirmacion').fadeOut(); // Ocultar el popup de confirmación
        $('#form-eliminar').submit(); // Enviar el formulario de eliminación
    });

    $('#cancelar-eliminar').on('click', function() {
        $('#popup-confirmacion').fadeOut(); // Ocultar el popup de confirmación
    });
});
JS;
$this->registerJs($js);
?>